# 一、变更目的

1.旧版接口基础对象不完善、接口易用性差、无法满足对接 IGS2.0 服务的需要。新版接口采用面向对象设计理念，遵循 ES6 标准，在设计时不仅考虑与服务器接口的对接，更注重前端使用。新版本中新增了空间参照系、多点、多线、多区的定义，完善了地图符号体系。

2.旧版接口缺少图层、地图、地图视图接口的统一定义，而我们产品中存在多套地图引擎，三维上采用 Cesium 引擎，二维上采用 Mapbox、Leaflet、OpenLayers 引擎，导致前端地图和场景的数据组织和接入缺乏统一的标准，使用不同引擎开发的项目，会遇到实现同一个功能，写多份不同代码的情况，无法实现代码的复用。新版接口中增加了图层、地图、地图视图接口的统一定义，可以通过一套代码，实现一套服务在不同引擎上的接入，快速实现二三维一体化项目的开发，可以满足地图和场景工程化管理的需求，最大限度的实现代码的复用。

3.新版接口增加了对于 IGS2.0 服务接口的支持，方便前端项目中接入 IGS2.0 的服务，新增了空间分析、草图编辑、视频调绘、行业标绘模块等公共模块。

# 二、变更 Q&A

- **10.6.2.10 升级到 10.6.4.10 所涉及的开发库有多少**
  - 新增 webclient-common 库，此次升级到 10.6.4.10 版本后，webclient-common 库将替代 10.6.2.10 的 webclient-es6-service 库
- **10.6.4.10 和 10.6.2.10 两个版本的接口是否兼容?**
  - 不兼容,这是两套独立的库
- **现有接口名是否有变更?**
  - 所有的接口名、入参以及出参都已发生变化
- **10.6.4.10 的接口访问形式是怎样的?**
  - ES5 方式：《Zondy.模块名.接口名》的方式调用，例如 zondy.layer.IGSMapImageLayer
  - ES6 方式：

```typescript
import { IGSMapImageLayer, Map } from '@mapgis/webclient-common'
```

- **10.6.2.10 的库会维护到何时呢？**
  - 所有 10.6.2.10 相关库会维护至 2023 年 12 月 30 日
- **10.6.2.10 以及 10.6.4.10 的相关开发库要如何获取？**
- **如何查看我当前使用的 API 版本？**
  - 10.6.4.10 版本
    - 查看 webclient-common 版本号
      - ES5 方式：在浏览器调试界面的 Console 中输入：Zondy.Version
      - ES6 方式：在 webclient-common 的 package.json 中查看版本号
  - 10.6.2.10 版本
    - 查看 webclient-es6-service 版本号
      - 仅可在 npm 的 package.json 中查询到版本号
- **开发库的版本号与 Webclient-Common 产品版本号的对应关系**
  |**产品版本号**|10.6.4.10 版本及以上|
  |:----|:----|
  |**开发库的版本号**|16.4.0|

- **如何升级？**
  - 本次升级需用户参考《新旧接口对照表》，对接口的调用方式进行同步更新，不支持自动升级

<br />

# 三、新旧接口对照表

- **变更状态说明：**
**正常**：新版本已支持,且正常运行
**废弃**： 新版本不再支持
**暂不支持**：当前版本暂不支持

| <span style="display:inline-block;width: 70px"> 功能模块</span> | 原接口<br />(webclient-cesium/leaflet/mapboxgl-plugin 10.6.2.10) | 新接口<br />(webclient-common 10.7.0.10)  | <span style="display:inline-block;width: 70px"> 变更状态</span> | 说明                                                         |
| ------------------------------------------------------------ | ------------------------------------------------------------ | ----------------------------------------- | ------------------------------------------------------------ | ------------------------------------------------------------ |
| 服务模块                                                     | G3DMapDoc.GetDocList                                         | SceneServer.queryDocListInfo              | 正常                                                         | 获取服务器三维地图文档列表                                   |
| 服务模块                                                     | G3DMapDoc.GetDocInfo                                         | SceneServer.queryDocInfo                  | 正常                                                         | 获取指定三维地图文档的详细信息                               |
| 服务模块                                                     | G3DMapDoc.GetLayerInfo                                       |                                           | 暂不支持                                                     | 获取指定三维地图文档图层的详细信息                           |
| 服务模块                                                     | G3DMapDoc.GetFeature                                         | SceneServer.queryFeaturesInLayers         | 正常                                                         | 查询三维服务中要素类图层的属性信息                           |
| 服务模块                                                     | G3DMapDoc.SetSystemLibraryByDoc                              | ResourceServer.editLayerSystemLib         | 正常                                                         | 设置三维文档下图层系统库接口                                 |
| 服务模块                                                     | G3DService                                                   |                                           | 暂不支持                                                     | 三维目录服务类                                               |
| 服务模块                                                     | G3dEnum                                                      | SceneSubLayerType                         | 正常                                                         | 三维场景服务子图层类型枚举                                   |
| 服务模块                                                     | BaseParameter                                                |                                           | 废弃                                                         | 查询参数对象基类<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 |
| 服务模块                                                     | EditDocFeature.add                                           | FeatureServer.addFeature                  | 正常                                                         | 基于矢量文档的要素添加                                       |
| 服务模块                                                     | EditDocFeature.update                                        | FeatureServer.addFeature                  | 正常                                                         | 基于矢量文档的要素更新                                       |
| 服务模块                                                     | EditDocFeature.deletes                                       | FeatureServer.addFeature                  | 正常                                                         | 删除一组要素                                                 |
| 服务模块                                                     | EditLayerFeature.add                                         | FeatureServer.addFeature                  | 正常                                                         | 基于矢量图层的要素添加                                       |
| 服务模块                                                     | EditLayerFeature.update                                      | FeatureServer.addFeature                  | 正常                                                         | 基于矢量图层的要素更新                                       |
| 服务模块                                                     | EditLayerFeature.deletes                                     | FeatureServer.addFeature                  | 正常                                                         | 删除一组要素                                                 |
| 服务模块                                                     | EditServiceBase                                              | BaseServer                                | 正常                                                         | 编辑服务基类                                                 |
| 服务模块                                                     | Feature                                                      | Feature                                   | 正常                                                         | 要素对象                                                     |
| 服务模块                                                     | FeatureService.query                                         | FeatureServer.queryFeaturesInLayers       | 正常                                                         | 多图层的要素查询                                             |
| 服务模块                                                     | FeatureService.add                                           | FeatureServer.addFeature                  | 正常                                                         | 添加要素                                                     |
| 服务模块                                                     | FeatureService.update                                        | FeatureServer.updateFeature               | 正常                                                         | 更新要素                                                     |
| 服务模块                                                     | FeatureService.delete                                        | FeatureServer.deleteFeature               | 正常                                                         | 删除要素                                                     |
| 服务模块                                                     | FeatureService.getFeatureSet                                 |                                           | 废弃                                                         | 解析IGS1.0的要素查询返回结果，并返回一个符合GeoJSON规范的要素集合对象<br /> 目前新的FeatureServer对象已在内部将IGS的查询结果转化为了统一的要素集合对象，已经不需要二次开发人员主动调用该方法 |
| 服务模块                                                     | FeatureService.getFeatureService                             | FeatureServer                             | 正常                                                         | 获取要素服务对象<br /> 请直接初始化一个要素服务对象即可，new FeatureServer() |
| 服务模块                                                     | FeatureService.getFieldAtt                                   | ResourceServer.queryGDBPInfo              | 正常                                                         | 获取字段名数组                                               |
| 服务模块                                                     | FeatureService.getGDBPInfo                                   | FeatureServer.queryServerInfo             | 正常                                                         | 获取GDBP信息                                                 |
| 服务模块                                                     | FeatureService.getLayerInfo                                  | FeatureServer.queryServerInfo             | 正常                                                         | 获取图层信息                                                 |
| 服务模块                                                     | Geometry                                                     | Geometry                                  | 正常                                                         | 基础几何对象                                                 |
| 服务模块                                                     | GeometryParameter                                            |                                           | 废弃                                                         | 几何查询参数类<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 |
| 服务模块                                                     | MultiGeoQuery                                                |                                           | 废弃                                                         | 多几何查询参数类<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 |
| 服务模块                                                     | MultiGeoQueryParameter                                       |                                           | 暂不支持                                                     | 多几何查询参数                                               |
| 服务模块                                                     | MultiPoint                                                   | MultiPoint                                | 正常                                                         | 多点对象                                                     |
| 服务模块                                                     | MultiPolygon                                                 | MultiPolygon                              | 正常                                                         | 多区对象                                                     |
| 服务模块                                                     | MultiPolyline                                                | MultiPolyline                             | 正常                                                         | 多线对象                                                     |
| 服务模块                                                     | ObjClsQuery                                                  |                                           | 废弃                                                         | 注记查询类<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 |
| 服务模块                                                     | ObjClsQueryParameter                                         |                                           | 废弃                                                         | 注记查询参数<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 |
| 服务模块                                                     | ObjectIdsParameter                                           |                                           | 废弃                                                         | 要素ID查询参数<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 |
| 服务模块                                                     | Point                                                        | Point                                     | 正常                                                         | 点几何对象                                                   |
| 服务模块                                                     | Polygon                                                      | Polygon                                   | 正常                                                         | 区几何对象                                                   |
| 服务模块                                                     | Polyline                                                     | Polyline                                  | 正常                                                         | 线几何对象                                                   |
| 服务模块                                                     | QueryByLayerParameter                                        |                                           | 废弃                                                         | 矢量图层参数查询类<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 |
| 服务模块                                                     | QueryDocFeature.query                                        | FeatureServer.queryFeatures               | 正常                                                         | 要素文档查询                                                 |
| 服务模块                                                     | QueryFeatureRule                                             |                                           | 废弃                                                         | 要素查询规则参数类<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 |
| 服务模块                                                     | QueryFeatureStruct                                           |                                           | 废弃                                                         | 要素查询结构参数类<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 |
| 服务模块                                                     | QueryLayerFeature.query                                      | FeatureServer.queryFeatures               | 正常                                                         | 矢量图层要素查询                                             |
| 服务模块                                                     | QueryParameter                                               |                                           | 废弃                                                         | 要素查询参数类<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 |
| 服务模块                                                     | QueryParameterBase                                           |                                           | 废弃                                                         | 要素查询参数基类<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 |
| 服务模块                                                     | QueryServiceBase                                             | BaseServer                                | 正常                                                         | 要素查询基类                                                 |
| 服务模块                                                     | QueryUnifyFeature                                            |                                           | 废弃                                                         | 统一要素查询-适配igs,datastore,拓展服务多种数据源<br /> 该接口为业务接口，目前没有计划封装该接口<br /> 当对接IGS相关服务时，可以使用Common库中的服务库相关类<br /> 当对接DataStore和拓展服务的相关服务时，请二次开发人员自行参考DataStore和拓展服务的API进行对接 |
| 服务模块                                                     | QueryUnifyParameter                                          |                                           | 废弃                                                         | 统一要素查询参数类<br /> 该接口为业务接口，目前没有计划封装该接口 |
| 服务模块                                                     | RectangleParameter                                           |                                           | 废弃                                                         | 矩形查询参数类<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 |
| 服务模块                                                     | SQLParameter                                                 |                                           | 废弃                                                         | SQL语句查询参数类<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 |
| 服务模块                                                     | CatalogColorInfo.getColorNO                                  | ResourceServer.getColorIndex              | 正常                                                         | 根据RGB值获取该颜色在颜色库中的颜色号                        |
| 服务模块                                                     | CatalogColorInfo.getColorRGB                                 | ResourceServer.getColorByIndex            | 正常                                                         | 根据颜色号获取颜色RGB值                                      |
| 服务模块                                                     | CatalogGDBInfo.getServerList                                 | ResourceServer.queryDataSourceList        | 正常                                                         | 获取数据源列表                                               |
| 服务模块                                                     | CatalogGDBInfo.getGDBList                                    | ResourceServer.queryGDBList               | 正常                                                         | 获取指定数据源下数据库列表                                   |
| 服务模块                                                     | CatalogGDBInfo.getDsList                                     | ResourceServer.queryFeatureDataSourceList | 正常                                                         | 获取GDB下要素集列表                                          |
| 服务模块                                                     | CatalogGDBInfo.getRcsList                                    | ResourceServer.queryTileDataSourceList    | 正常                                                         | 获取GDB下所有栅格目录列表                                    |
| 服务模块                                                     | CatalogGDBInfo.getProjectList                                | ResourceServer.querySrsList               | 正常                                                         | 获取参照系列表                                               |
| 服务模块                                                     | CatalogGDBInfo.getProjectInfo                                | ResourceServer.querySrsInfo               | 正常                                                         | 获取参照系信息                                               |
| 服务模块                                                     | CatalogGDBInfo.AttachGDB                                     | ResourceServer.attachGDB                  | 正常                                                         | 附加地理数据库                                               |
| 服务模块                                                     | CatalogGDBInfo.DetachGDB                                     | ResourceServer.detachGDB                  | 正常                                                         | 注销地理数据库                                               |
| 服务模块                                                     | CatalogGDBInfo.CreateGDB                                     | ResourceServer.addGDB                     | 正常                                                         | 创建地理数据库                                               |
| 服务模块                                                     | CatalogGDBInfo.DeleteGDB                                     | ResourceServer.deleteGDB                  | 正常                                                         | 删除地理数据库                                               |
| 服务模块                                                     | CatalogMapDoc.getMapDocList                                  | ResourceServer.queryMapDocList            | 正常                                                         | 获取服务器地图文档列表                                       |
| 服务模块                                                     | CatalogMapDoc.getMapDocInfo                                  | ResourceServer.queryMapInfo               | 正常                                                         | 获取指定地图文档的详细信息                                   |
| 服务模块                                                     | CatalogMapDoc.getMapInfo                                     | ResourceServer.queryMapInfoByIndex        | 正常                                                         | 获取地图文档中指定地图的相关信息                             |
| 服务模块                                                     | CatalogMapDoc.getMapDocTree                                  | ResourceServer.queryMapInfo               | 正常                                                         | 获取指定地图文档的目录树信息                                 |
| 服务模块                                                     | CatalogMapDoc.getLayerInfo                                   | ResourceServer.queryMapLayerInfoByIndex   | 正常                                                         | 获取指定地图下指定图层的相关信息                             |
| 服务模块                                                     | CatalogMapDoc.getLayersInfo                                  | ResourceServer.queryMapLayerInfo          | 正常                                                         | 获取指定地图下所有图层的图层信息                             |
| 服务模块                                                     | CatalogMapDoc.deleteLayer                                    | ResourceServer.removeMapLayer             | 正常                                                         | 删除图层                                                     |
| 服务模块                                                     | CatalogMapDoc.addLayer                                       | ResourceServer.addMapLayer                | 正常                                                         | 添加图层                                                     |
| 服务模块                                                     | CatalogMapDoc.changeIndex                                    | ResourceServer.editMapLayerIndex          | 正常                                                         | 更改图层顺序                                                 |
| 服务模块                                                     | CatalogMapDoc.getLegendInfo                                  |                                           | 暂不支持                                                     | 获取指定图层图例信息                                         |
| 服务模块                                                     | CatalogService                                               | ResourceServe                             | 正常                                                         | 目录服务基类                                                 |
| 服务模块                                                     | CatalogSystemInfo.GetSystemLibrary                           | ResourceServer.querySystemLibList         | 正常                                                         | 获取系统库列表                                               |
| 服务模块                                                     | CatalogSystemInfo.GetSymbol                                  | ResourceServer.querySymbolList            | 正常                                                         | 获取符号                                                     |
| 服务模块                                                     | CatalogTileLayer.getTileList                                 | ResourceServer.queryTileList              | 正常                                                         | 获取指定瓦片列表                                             |
| 服务模块                                                     | CatalogTileLayer.getTileInfo                                 | ResourceServer.queryTileInfo              | 正常                                                         | 获取指定瓦片的详细信息                                       |
| 服务模块                                                     | CatalogVectorLayer.getSfclsList                              | ResourceServer.querySimpleFeatureList     | 正常                                                         | 获取GDB下所有简单要素类列表                                  |
| 服务模块                                                     | CatalogVectorLayer.getAclsList                               |                                           | 暂不支持                                                     | 获取GDB下所有注记类列表                                      |
| 服务模块                                                     | CatalogVectorLayer.getOclsList                               |                                           | 暂不支持                                                     | 获取GDB下所有对象类列表                                      |
| 服务模块                                                     | CatalogVectorLayer.getNclsList                               |                                           | 暂不支持                                                     | 获取GDB下所有网络类列表                                      |
| 服务模块                                                     | CatalogVectorLayer.getRdsList                                |                                           | 暂不支持                                                     | 获取GDB下所有栅格数据集列表                                  |
| 服务模块                                                     | CatalogVectorLayer.getDsSfclsList                            |                                           | 暂不支持                                                     | 获取GDB下指定要素集内所有简单要素类列表                      |
| 服务模块                                                     | CatalogVectorLayer.getDsAclsList                             |                                           | 暂不支持                                                     | 获取GDB下指定要素集内所有注记类列表                          |
| 服务模块                                                     | CatalogVectorLayer.getDsOclsList                             |                                           | 暂不支持                                                     | 获取GDB下指定要素集内所有对象类列表                          |
| 服务模块                                                     | CatalogVectorLayer.getDsNclsList                             |                                           | 暂不支持                                                     | 获取GDB下指定要素集内所有网络类列表                          |
| 服务模块                                                     | CatalogVectorLayer.getRdsListInRcs                           |                                           | 暂不支持                                                     | 获取GDB下指定栅格目录内所有栅格数据集列表                    |
| 服务模块                                                     | CatalogVectorLayer.getLayerList                              | ResourceServer.queryGdbpAllData           | 正常                                                         | 通过传入的参数选择获取GDB下面的哪一类                        |
| 服务模块                                                     | CatalogVectorLayer.getLayerListInDS                          | ResourceServer.queryDsAllData             | 正常                                                         | 通过传入的参数选择获取GDB下面指定要素集下的哪一类            |
| 服务模块                                                     | CatalogVectorLayer.getLayerInfo                              | ResourceServer.queryGDBPInfo              | 正常                                                         | 通过传入的参数选择获取GDB下面指定要素集下的哪一类            |
| 服务模块                                                     | CatalogVectorLayer.CreateVectCls                             | ResourceServer.createGdbLayer             | 正常                                                         | 在指定GDB中创建图层                                          |
| 服务模块                                                     | CatalogVectorLayer.deleteXCls                                | ResourceServer.deleteLayerInGdbp          | 正常                                                         | 在指定GDB中删除图层                                          |
| 服务模块                                                     | AnalysisBase                                                 | BaseServer.execute                        | 正常                                                         | 分析服务基类                                                 |
| 服务模块                                                     | ClassBufferBase                                              | WorkFlowServer                            | 正常                                                         | 缓冲分析服务基类，工作流服务                                 |
| 服务模块                                                     | ClassBufferByMultiplyRing.execute                            | WorkFlowServer.execute                    | 正常                                                         | 类缓冲分析（多圈）执行工作流                                 |
| 服务模块                                                     | ClassBufferBySingleRing.execute                              | WorkFlowServer.execute                    | 正常                                                         | 类缓冲分析（单圈）执行工作流                                 |
| 服务模块                                                     | ClipBase                                                     | WorkFlowServer                            | 正常                                                         | 裁剪分析服务基类，工作流服务                                 |
| 服务模块                                                     | ClipByCircle.execute                                         | WorkFlowServer.execute                    | 正常                                                         | 圆裁剪，执行工作流                                           |
| 服务模块                                                     | ClipByLayer.execute                                          | WorkFlowServer.execute                    | 正常                                                         | 图层裁剪，执行工作流                                         |
| 服务模块                                                     | ClipByPolygon.execute                                        | WorkFlowServer.execute                    | 正常                                                         | 多边形裁剪，执行工作流                                       |
| 服务模块                                                     | ContourAnalyse                                               | WorkFlowServer                            | 正常                                                         | 等值线追踪分析，工作流服务                                   |
| 服务模块                                                     | FeatureBuffBase.execute                                      | BaseServer.execute                        | 正常                                                         | 要素缓冲分析服务基类，执行工作流                             |
| 服务模块                                                     | FeatureBuffByMultiplyRing.execute                            | WorkFlowServer.execute                    | 正常                                                         | 要素缓冲分析（多圈），执行工作流                             |
| 服务模块                                                     | FeatureBuffBySingleRing.execute                              | WorkFlowServer.execute                    | 正常                                                         | 要素缓冲分析（单圈），执行工作流                             |
| 服务模块                                                     | FunctionWareService                                          |                                           | 暂不支持                                                     | 工作流仓库服务                                               |
| 服务模块                                                     | NetAnalysis.execute                                          | WorkFlowServer.execute                    | 正常                                                         | 网络分析类，执行工作流                                       |
| 服务模块                                                     | OverlayBase                                                  | WorkFlowServer                            | 正常                                                         | 叠加分析服务基类，工作流服务                                 |
| 服务模块                                                     | OverlayByLayer.execute                                       | WorkFlowServer.execute                    | 正常                                                         | 图层叠加，执行工作流                                         |
| 服务模块                                                     | OverlayByPolygon.execute                                     | WorkFlowServer.execute                    | 正常                                                         | 多边形叠加，执行工作流                                       |
| 服务模块                                                     | ProjectBase.execute                                          | BaseServer.execute                        | 正常                                                         | 投影服务基类，执行工作流                                     |
| 服务模块                                                     | ProjectByLayer.execute                                       | WorkFlowServer.execute                    | 正常                                                         | 投影服务类，执行工作流                                       |
| 服务模块                                                     | ProjectBySRID                                                |                                           | 暂不支持                                                     | 投影服务基类，IGS1.0服务<br /> 目前未对接该服务 建议使用Projection(前端投影)或者GeometryServer.geometryProject(服务端投影，IGS2.0)来替代该方法 |
| 服务模块                                                     | CProjectBySRSID                                              |                                           | 暂不支持                                                     | 用于进行投影的参数类，IGS1.0服务<br /> 目前未对接该服务 建议使用Projection(前端投影)或者GeometryServer.geometryProject(服务端投影，IGS2.0)来替代该方法 |
| 服务模块                                                     | CProjectParam                                                |                                           | 暂不支持                                                     | 投影转换空间参数类，IGS1.0服务<br /> 目前未对接该服务 建议使用Projection(前端投影)或者GeometryServer.geometryProject(服务端投影，IGS2.0)来替代该方法 |
| 服务模块                                                     | CalArea                                                      | GeometryServer.calculateArea              | 正常                                                         | 计算面积服务                                                 |
| 服务模块                                                     | CalPolyLineLength                                            | GeometryServer.calculateLength            | 正常                                                         | 折线长度计算服务                                             |
| 服务模块                                                     | CalServiceBase                                               | BaseServer                                | 正常                                                         | 几何计算服务基类                                             |
| 服务模块                                                     | CoordinateElpTrans                                           |                                           | 暂不支持                                                     | 三参数/七参数坐标转换                                        |
| 服务模块                                                     | GeometryAnalysisBase                                         | BaseServer                                | 正常                                                         | 几何分析服务基类                                             |
| 服务模块                                                     | ProjectDots                                                  |                                           | 暂不支持                                                     | 投影点数组                                                   |
| 服务模块                                                     | Smooth                                                       | GeometryServer.smoothLineString           | 正常                                                         | 光滑线                                                       |
| 服务模块                                                     | TopAnalysis                                                  | GeometryServer.calculateTopologyRelation  | 正常                                                         | 拓扑分析类                                                   |
| 服务模块                                                     | GetDocImageService.GetMapImage                               |                                           | 暂不支持                                                     | 获取地图文档(瓦片)图片的URL                                  |
| 服务模块                                                     | GetDocImageService.GetMapImage                               |                                           | 暂不支持                                                     | 获取地图文档(影像)图片的URL                                  |
| 服务模块                                                     | GetLayerImageService.GetLayerImage                           |                                           | 暂不支持                                                     | 获取地图文档(GDBP)图片的URL                                  |
| 服务模块                                                     | GetMapImageService.GetImage                                  |                                           | 暂不支持                                                     | 获取瓦片图片url                                              |
| 服务模块                                                     | GetMapImageService.GetImage                                  | MapServer.getImage()                      | 正常                                                         | 获取影像图片url                                              |
| 服务模块                                                     | GetMapInfoService.GetMapInfo                                 |                                           | 暂不支持                                                     | 获取地图文档/瓦片地图信息                                    |
| 服务模块                                                     | MapServiceBase                                               | BaseServer                                | 正常                                                         | 地图服务基类                                                 |
| 服务模块                                                     | common.IgsServiceParse                                       |                                           | 废弃                                                         | IGServer服务地址解析器，将基地址解析为各个地图引擎需要的格式<br /> 目前各个引擎的插件库已在内部做了该业务，不需要二次开发人员主动调用了 |
| 服务模块                                                     | common.IgsServiceType                                        |                                           | 废弃                                                         | 服务类型枚举，记录了IGS1.0服务基地址的格式<br /> 目前已在webclient-common内部做了处理，屏蔽了IGS1.0和2.0版本差异，不需要二次开发人员额外处理了 |
| 服务模块                                                     | ContourNoteParam                                             |                                           | 废弃                                                         | 平面等值线追踪所用到的注记参数类，供等值线追踪分析工作流使用<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 请参考WorkFlowServer的API文档，工作流ID：600320 |
| 服务模块                                                     | ContourParam                                                 |                                           | 废弃                                                         | 平面等值线追踪参数类，供等值线追踪分析工作流使用<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 请参考WorkFlowServer的API文档，工作流ID：600320 |
| 服务模块                                                     | ContourRegionInfo                                            |                                           | 废弃                                                         | 平面等值线范围参数类，供等值线追踪分析工作流使用<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 请参考WorkFlowServer的API文档，工作流ID：600320 |
| 服务模块                                                     | ContourZValue                                                |                                           | 废弃                                                         | 等值线层参数类，供等值线追踪分析工作流使用<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 请参考WorkFlowServer的API文档，工作流ID：600320 |
| 服务模块                                                     | MeshingParam                                                 |                                           | 废弃                                                         | 离散数据网格化参数类，供等值线追踪分析工作流使用<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 请参考WorkFlowServer的API文档，工作流ID：600320 |
| 服务模块                                                     | NetAnalyse                                                   |                                           | 废弃                                                         | 网格分析参数类<br /> 该服务接口已被废弃，因此在webclient-common库中废弃该接口 |
| 服务模块                                                     | NetAnalysisExtent                                            |                                           | 废弃                                                         | 网格分析类<br /> 该服务接口已被废弃，因此在webclient-common库中废弃该接口 |
| 服务模块                                                     | SlopLineParam                                                |                                           | 废弃                                                         | 示坡线参数类，供等值线追踪分析工作流使用<br /> 使用方式已发改变，现在已不需要在查询接口传参时，初始化一个查询参数对象，仅需传入一个JSON对象即可 webclient-common库中的服务接口都已提供了详细的参数说明 请参考WorkFlowServer的API文档，工作流ID：600320 |
| 服务模块                                                     | ArcGisBaseParam                                              |                                           | 暂不支持                                                     | 查询参数基类对象                                             |
| 服务模块                                                     | ArcGisCircle                                                 |                                           | 暂不支持                                                     | 圆对象                                                       |
| 服务模块                                                     | ArcGisExtent                                                 |                                           | 暂不支持                                                     | 矩形对象                                                     |
| 服务模块                                                     | ArcGisFeatureLayer                                           |                                           | 暂不支持                                                     | 要素图层                                                     |
| 服务模块                                                     | ArcGisFindParameters                                         |                                           | 暂不支持                                                     | find查询参数对象                                             |
| 服务模块                                                     | ArcGisFindTask                                               |                                           | 暂不支持                                                     | find查询对象                                                 |
| 服务模块                                                     | ArcGisGeometry                                               |                                           | 暂不支持                                                     | 几何对象基类                                                 |
| 服务模块                                                     | ArcGisGraphic                                                |                                           | 暂不支持                                                     | 标绘对象                                                     |
| 服务模块                                                     | ArcGisIdentifyParameters                                     |                                           | 暂不支持                                                     | find查询参数对象                                             |
| 服务模块                                                     | ArcGisIdentifyTask                                           |                                           | 暂不支持                                                     | Identify查询对象                                             |
| 几何模块                                                     | ArcGisMultipoint                                             |                                           | 暂不支持                                                     | 多点对象                                                     |
| 几何模块                                                     | ArcGisPoint                                                  |                                           | 暂不支持                                                     | 点对象                                                       |
| 几何模块                                                     | ArcGisPolygon                                                |                                           | 暂不支持                                                     | 多边形对象                                                   |
| 几何模块                                                     | ArcGisPolyline                                               |                                           | 暂不支持                                                     | 线对象                                                       |
| 服务模块                                                     | ArcGisQuery                                                  |                                           | 暂不支持                                                     | 查询任务参数对象                                             |
| 服务模块                                                     | ArcGisQueryTask                                              |                                           | 暂不支持                                                     | 查询任务对象                                                 |
| 服务模块                                                     | ArcGisServiceBase                                            |                                           | 暂不支持                                                     | ArcGIS服务基类                                               |
| 服务模块                                                     | ArcGisSpatialReference                                       |                                           | 暂不支持                                                     | 空间参考系对象                                               |
| 服务模块                                                     | IGServerXService.getBaseUrl                                  |                                           | 暂不支持                                                     | 获取基地址url                                                |
| 服务模块                                                     | IGServerXService.getFullUrl                                  |                                           | 暂不支持                                                     | 获取完整的url地址                                            |
| 服务模块                                                     | IGServerXService.get                                         |                                           | 暂不支持                                                     | 向服务器发送GET请求                                          |
| 服务模块                                                     | IGServerXService.post                                        |                                           | 暂不支持                                                     | 向服务器发送POST请求                                         |
| 服务模块                                                     | SparkBufferService.fixOption                                 |                                           | 暂不支持                                                     | 修正get/post需要的真正参数                                   |
| 服务模块                                                     | SparkBufferService.excute                                    |                                           | 暂不支持                                                     | 查询函数，向服务器发送请求,返回地名地址格式数据              |
| 服务模块                                                     | OGCWMSInfo.getWMSInfo                                        | WMSServer.getCapabitities                 | 正常                                                         | OGC-WMS获取WMS信息                                           |
| 服务模块                                                     | OGCWMSInfo.getFeatureInfo                                    |                                           | 暂不支持                                                     | OGC-WMS要素拾取                                              |
| 服务模块                                                     | OGCWMTSInfo.getWMTSInfo                                      | WMTSServer.getCapabitities                | 正常                                                         | OGC-WMTS获取WMTS信息                                         |
| 服务模块                                                     | OGCWMTSInfo.getFeatureInfo                                   |                                           | 暂不支持                                                     | OGC-WMTS要素拾取                                             |
| 服务模块                                                     | WMSCapabilities                                              |                                           | 暂不支持                                                     | 用于读取WMS capabilities数据的类                             |
| 服务模块                                                     | WMTSCapabilities                                             |                                           | 暂不支持                                                     | 用于读取WMTS capabilities数据的类                            |
| 服务模块                                                     | OGCService.get                                               |                                           | 暂不支持                                                     | 向服务器发送GET请求                                          |
| 服务模块                                                     | OGCService.post                                              |                                           | 暂不支持                                                     | 向服务器发送POST请求                                         |
| 服务模块                                                     | WFS.getCapabilities                                          | WFSServer.getCapabitities                 | 正常                                                         | 获取WFS信息                                                  |
| 服务模块                                                     | WFS.getFeature                                               | WFSServer.queryFeatures                   | 正常                                                         | 要素拾取                                                     |
| 服务模块                                                     | WMS.makeFullUrl                                              |                                           | 暂不支持                                                     | 获取出图地址                                                 |
| 服务模块                                                     | WMS.getCapabilities                                          | WMSServer.getCapabitities                 | 正常                                                         | 获取WMS信息                                                  |
| 服务模块                                                     | PortalServiceParse.get                                       |                                           | 暂不支持                                                     | MapGIS IGServer服务解析器(门户)方法                          |
| 服务模块                                                     | PortalServiceParse.GetCapabilities                           |                                           | 暂不支持                                                     | MapGIS IGServer服务解析器(门户)方法                          |
| 服务模块                                                     | PortalServiceParse.GetMap                                    |                                           | 暂不支持                                                     | MapGIS IGServer服务解析器(门户)方法                          |
| 服务模块                                                     | PortalServiceParse.GetFeatureInfo                            |                                           | 暂不支持                                                     | MapGIS IGServer服务解析器(门户)方法                          |
| 服务模块                                                     | PortalServiceType                                            |                                           | 暂不支持                                                     | MapGIS IGServer服务解析器(门户)方法                          |
| 服务模块                                                     | CloudDiskService                                             |                                           | 暂不支持                                                     | clouddisk云盘相关类，云工作空间的基础服务                    |
| 服务模块                                                     | FileService                                                  |                                           | 暂不支持                                                     | clouddisk云盘相关类                                          |
| 服务模块                                                     | GeoDatasetService                                            |                                           | 暂不支持                                                     | clouddisk云盘相关类                                          |
| 服务模块                                                     | CalculateModelService                                        |                                           | 暂不支持                                                     | clouddisk云盘相关类                                          |
| 服务模块                                                     | ToolsService                                                 |                                           | 暂不支持                                                     | clouddisk云盘相关类                                          |
| 服务模块                                                     | UserService                                                  |                                           | 暂不支持                                                     | clouddisk云盘相关类                                          |
| 服务模块                                                     | ServiceParameter                                             |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | DataStoreService                                             |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | BaseDefine                                                   |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | ESGeoCode                                                    |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | ESGeoDecode                                                  |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | ESQueryStats                                                 |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | EsCatlogType                                                 |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | EsCatlogName                                                 |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | EsGeoHashType                                                |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | EsCatlogService                                              |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | EsGeocodeParameter                                           |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | EsGeocodeService                                             |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | EsSpaceTimeQueryByAgg                                        |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | EsTableService                                               |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | PostgisCatlogService                                         |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | PostgisCustomQueryService                                    |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | PostgisQueryService                                          |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | PostgisTableService                                          |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 服务模块                                                     | PostgisVectorTileService                                     |                                           | 暂不支持                                                     | DataStore的基础服务相关类                                    |
| 几何模块                                                     | Point2D                                                      | Point                                     | 正常                                                         | 点类型                                                       |
| 几何模块                                                     | PolyLine                                                     | LineString                                | 正常                                                         | 线几何对象                                                   |
| 几何模块                                                     | Polygon                                                      | Polygon                                   | 正常                                                         | 多边形几何对象                                               |
| 几何模块                                                     | Rectangle                                                    | Extent                                    | 正常                                                         | 矩形几何对象                                                 |
| 几何模块                                                     | GPoint                                                       |                                           | 废弃                                                         | 点要素几何图形对象<br /> IGS1.0要素服务相关参数，目前已被集成进webclient-common库中，改库屏蔽了IGS1.0和2.0版本差异，已不需要二次开发人员主动调用 |
| 几何模块                                                     | GLine                                                        |                                           | 废弃                                                         | 线要素几何图形信息对象<br /> IGS1.0要素服务相关参数，目前已被集成进webclient-common库中，改库屏蔽了IGS1.0和2.0版本差异，已不需要二次开发人员主动调用 |
| 几何模块                                                     | GRegion                                                      |                                           | 废弃                                                         | 区要素几何图形信息对象<br /> IGS1.0要素服务相关参数，目前已被集成进webclient-common库中，改库屏蔽了IGS1.0和2.0版本差异，已不需要二次开发人员主动调用 |
| 几何模块                                                     | Arc                                                          | LineString                                | 正常                                                         | 弧段对象构造函数                                             |
| 几何模块                                                     | AnyLine                                                      | MultiLineString                           | 正常                                                         | 线对象构造函数                                               |
| 几何模块                                                     | Circle                                                       | Circle                                    | 正常                                                         | 圆几何对象                                                   |
| 几何模块                                                     | MultiPolygon                                                 | MultiPolygon                              | 正常                                                         | 多多边形几何对象                                             |
| 几何模块                                                     | FeatureGeometry                                              | Feature.geometry                          | 正常                                                         | 要素几何信息对象                                             |
| 几何模块                                                     | FeatureSet                                                   | FeatureSet                                | 正常                                                         | 要素集合信息对象                                             |
| 几何模块                                                     | Feature                                                      | Feature                                   | 正常                                                         | 要素信息对象                                                 |
| 几何模块                                                     | FeatureGraphicBase                                           |                                           | 废弃                                                         | 几何对象基类<br /> IGS1.0要素服务相关参数，目前已被集成进webclient-common库中，改库屏蔽了IGS1.0和2.0版本差异，已不需要二次开发人员主动调用 |
| 几何模块                                                     | LabelLinInfo                                                 |                                           | 暂不支持                                                     | 线要素动态注记方位属性对象                                   |
| 几何模块                                                     | LabelRegInfo                                                 |                                           | 暂不支持                                                     | 区要素动态注记方位属性对象                                   |
| 几何模块                                                     | LablePntInfo                                                 |                                           | 暂不支持                                                     | 点要素动态注记方位属性对象                                   |
| 几何模块                                                     | Tangram                                                      | Geometry                                  | 正常                                                         | 几何对象基类                                                 |
| 符号模块                                                     | ExtrudeStyle                                                 | PolygonSymbol3D                           | 正常                                                         | 拉伸体样式                                                   |
| 符号模块                                                     | FillStyle                                                    | SimpleFillSymbol                          | 正常                                                         | 多边形样式                                                   |
| 符号模块                                                     | LineStyle                                                    | SimpleLineSymbol                          | 正常                                                         | 线样式                                                       |
| 符号模块                                                     | PointStyle                                                   | SimpleMarkerSymbol                        | 正常                                                         | 点样式                                                       |
| 符号模块                                                     | Shadow                                                       |                                           | 暂不支持                                                     | 阴影样式，10.6.2.10以及更早版本也未实现该特性                |
| 符号模块                                                     | SymbolStyle                                                  | Symbol                                    | 正常                                                         | 符号样式基类                                                 |
| 符号模块                                                     | TextStyle                                                    | TextSymbol MapGISTextSymbol               | 正常                                                         | 文字样式                                                     |
| 符号模块                                                     | VectorStyle                                                  | Symbol                                    | 正常                                                         | 矢量样式基类                                                 |
| 服务模块                                                     | CAnnInfo                                                     | CAnnInfo                                  | 正常                                                         | 专题图服务，注记图形参数信息                                 |
| 服务模块                                                     | CChartLabelFormat                                            | CChartLabelFormat                         | 正常                                                         | 专题图服务，统计图形标签枚举                                 |
| 服务模块                                                     | CChartTheme                                                  | CChartTheme                               | 正常                                                         | 专题图服务，统计专题图                                       |
| 服务模块                                                     | CChartThemeInfo                                              | CChartThemeInfo                           | 正常                                                         | 专题图服务，专题图信息统计类                                 |
| 服务模块                                                     | CChartThemeRepresentInfo                                     | CChartThemeRepresentInfo                  | 正常                                                         | 专题图服务，统计图符号参数信息                               |
| 服务模块                                                     | CChartType                                                   | CChartType                                | 正常                                                         | 专题图服务，统计图类型枚举                                   |
| 服务模块                                                     | CDotDensityTheme                                             | CDotDensityTheme                          | 正常                                                         | 专题图服务，点密度专题图                                     |
| 服务模块                                                     | CFourColorTheme                                              | CFourColorTheme                           | 正常                                                         | 专题图服务，四色专题图                                       |
| 服务模块                                                     | CGraduatedSymbolTheme                                        | CGraduatedSymbolTheme                     | 正常                                                         | 专题图服务，等级符号专题图                                   |
| 服务模块                                                     | CLinInfo                                                     | CLinInfo                                  | 正常                                                         | 专题图服务，线图形参数对象                                   |
| 服务模块                                                     | CMultiClassTheme                                             | CMultiClassTheme                          | 正常                                                         | 专题图服务，分段专题图（多字段）                             |
| 服务模块                                                     | CPntInfo                                                     | CPntInfo                                  | 正常                                                         | 专题图服务，CPntInfo                                         |
| 服务模块                                                     | CRandomTheme                                                 | CRandomTheme                              | 正常                                                         | 专题图服务，随机专题图                                       |
| 服务模块                                                     | CRangeTheme                                                  | CRangeTheme                               | 正常                                                         | 专题图服务，分段专题图（单字段分段）                         |
| 服务模块                                                     | CRangeThemeInfo                                              | CRangeThemeInfo                           | 正常                                                         | 专题图服务，分段专题图信息对象构造函数                       |
| 服务模块                                                     | CRegInfo                                                     | CRegInfo                                  | 正常                                                         | 专题图服务，区图形参数对象                                   |
| 服务模块                                                     | CSimpleTheme                                                 | CSimpleTheme                              | 正常                                                         | 专题图服务，统一配置专题图                                   |
| 服务模块                                                     | CTheme                                                       | CTheme                                    | 正常                                                         | 专题图服务，专题图对象（基类）                               |
| 服务模块                                                     | CThemeInfo                                                   | CThemeInfo                                | 正常                                                         | 专题图服务，专题图信息(基类)                                 |
| 服务模块                                                     | CUniqueTheme                                                 | CUniqueTheme                              | 正常                                                         | 专题图服务，单值专题图                                       |
| 服务模块                                                     | CUniqueThemeInfo                                             | CUniqueThemeInfo                          | 正常                                                         | 专题图服务，单值专题图信息                                   |
| 服务模块                                                     | ExpInfo                                                      | ExpInfo                                   | 正常                                                         | 专题图服务，分段专题图表达式信息对象构造函数                 |
| 服务模块                                                     | FolderInfo                                                   | FolderInfo                                | 正常                                                         | 专题图服务，文件夹信息                                       |
| 服务模块                                                     | FolderInfoAttribute                                          | FolderInfoAttribute                       | 正常                                                         | 专题图服务，文件夹信息属性                                   |
| 服务模块                                                     | ItemValue                                                    | ItemValue                                 | 正常                                                         | 专题图服务，分段专题图分段值对象构造函数                     |
| 服务模块                                                     | ThemeOper                                                    | ThemeOper                                 | 正常                                                         | 专题图服务，专题图服务                                       |
| 服务模块                                                     | ThemesInfo                                                   | ThemesInfo                                | 正常                                                         | 专题图服务，专题图结构信息对象构造函数                       |
| 服务模块                                                     | FunctionWareService                                          |                                           | 暂不支持                                                     | 工作流仓库服务                                               |
| 服务模块                                                     | ISocketService                                               |                                           | 暂不支持                                                     | Socket的基类                                                 |
| 服务模块                                                     | RuleParse                                                    |                                           | 废弃                                                         | MapGIS IGServer服务解析器<br /> 在10.6.2.10以及更早的版本中未找到该接口，因此废弃了该接口 |
| 服务模块                                                     | VectCls                                                      |                                           | 废弃                                                         | 矢量查询参数类<br /> IGS1.0要素服务相关参数，目前已被集成进webclient-common库中，改库屏蔽了IGS1.0和2.0版本差异，已不需要二次开发人员主动调用 |
| 全局常量                                                     | Align                                                        | HorizontalAlignment                       | 正常                                                         | 对齐方向                                                     |
| 全局常量                                                     | Anchor                                                       | AnchorType                                | 正常                                                         | 锚点方向                                                     |
| 全局常量                                                     | BroadcastEvent                                               |                                           | 暂不支持                                                     | WebSocket消息广播通信事件流程                                |
| 全局常量                                                     | CItemType                                                    |                                           | 暂不支持                                                     | 统计分段类型                                                 |
| 全局常量                                                     | CLinAdjustType                                               |                                           | 暂不支持                                                     | 线型调整方法枚举                                             |
| 全局常量                                                     | CLinHeadType                                                 | LineCapType                               | 正常                                                         | 线头类型枚举定义                                             |
| 全局常量                                                     | CLinJointType                                                | LineJoinType                              | 正常                                                         | 线拐角类型枚举                                               |
| 全局常量                                                     | CLinStyleMakeType                                            |                                           | 暂不支持                                                     | 线型生成方法                                                 |
| 全局常量                                                     | copyProperties                                               | cloneObject                               | 正常                                                         | 将要拷贝的源对象属性拷贝到对应的目标对象里面                 |
| 全局常量                                                     | EightDirType                                                 |                                           | 暂不支持                                                     | 点八方位注记类型                                             |
| 全局常量                                                     | EsCatlogName                                                 |                                           | 暂不支持                                                     | ElasticSearch数据库名称                                      |
| 全局常量                                                     | EsCatlogType                                                 |                                           | 暂不支持                                                     | ElasticSearch数据库类型                                      |
| 全局常量                                                     | EsGeoHashType                                                |                                           | 暂不支持                                                     | ElasticSearch-GeoHash聚合返回类型                            |
| 全局常量                                                     | FeatureType                                                  | GeometryType                              | 正常                                                         | 要素几何类型                                                 |
| 全局常量                                                     | FontShape                                                    |                                           | 暂不支持                                                     | 动态注记字形的类型，出图样式相关参数                         |
| 全局常量                                                     | ISShowArc                                                    |                                           | 暂不支持                                                     | 是否显示弧段                                                 |
| 全局常量                                                     | LabelLinType                                                 |                                           | 暂不支持                                                     | 线的动态注记的线方位类型，出图样式相关参数                   |
| 全局常量                                                     | LabelPntType                                                 |                                           | 暂不支持                                                     | 点的动态注记的方位类型，出图样式相关参数                     |
| 全局常量                                                     | LabelRegType                                                 |                                           | 暂不支持                                                     | 区的动态注记的区方位类型，出图样式相关参数                   |
| 全局常量                                                     | LabelSpreadType                                              |                                           | 暂不支持                                                     | 注记分布的策略，出图样式相关参数                             |
| 全局常量                                                     | LayerEvent                                                   | LayerEventType                            | 正常                                                         | 图层事件                                                     |
| 全局常量                                                     | LayerStatusType                                              |                                           | 暂不支持                                                     | 图层状态类型                                                 |
| 全局常量                                                     | LineCap                                                      | LineCapType                               | 正常                                                         | 线头类型                                                     |
| 全局常量                                                     | LineConstrain                                                |                                           | 暂不支持                                                     | 偏离线约束                                                   |
| 全局常量                                                     | LineJoin                                                     | LineJoinType                              | 正常                                                         | 拐角类型                                                     |
| 全局常量                                                     | MapType                                                      | LayerType                                 | 正常                                                         | 地图类型                                                     |
| 全局常量                                                     | NetAnalyType                                                 |                                           | 暂不支持                                                     | 网络分析类型                                                 |
| 全局常量                                                     | NetElemType                                                  |                                           | 暂不支持                                                     | 网络元素类型                                                 |
| 全局常量                                                     | PARAM_BRACKET_LEFT                                           |                                           | 暂不支持                                                     | 参数括号左边                                                 |
| 全局常量                                                     | PARAM_BRACKET_RIGHT                                          |                                           | 暂不支持                                                     | 参数括号右边                                                 |
| 全局常量                                                     | PARAM_COMMA                                                  |                                           | 暂不支持                                                     | ElasticSearch的默认查询租佃参数                              |
| 全局常量                                                     | PARAM_SPACE                                                  |                                           | 暂不支持                                                     | 参数空格                                                     |
| 全局常量                                                     | PARAM_SPLIT                                                  |                                           | 暂不支持                                                     | ElasticSearch的默认分号                                      |
| 全局常量                                                     | PARAM_SUB                                                    |                                           | 暂不支持                                                     | ElasticSearch的默认查询租佃参数                              |
| 全局常量                                                     | RepeatType                                                   |                                           | 暂不支持                                                     | 线重复注记策略                                               |
| 全局常量                                                     | SPACE_ENUM_POLYGON                                           |                                           | 暂不支持                                                     | ElasticSearch的空间-区类型                                   |
| 全局常量                                                     | SubscribeEvent                                               |                                           | 暂不支持                                                     | WebSocket消息订阅通信事件流程                                |
| 全局常量                                                     | TextPlacement                                                |                                           | 暂不支持                                                     | 文字方向                                                     |
| 全局常量                                                     | toCesiumStyle                                                |                                           | 暂不支持                                                     | Cesium区格式的样式                                           |
| 全局常量                                                     | toMapboxStyle                                                |                                           | 暂不支持                                                     | MapboxGL线格式的样式                                         |
| 全局常量                                                     | VectClsType                                                  |                                           | 暂不支持                                                     | 矢量数据类型                                                 |
| 全局常量                                                     | XClsType                                                     |                                           | 暂不支持                                                     | 数据类型                                                     |
| 全局方法                                                     | interpolateLagrange                                          |                                           | 暂不支持                                                     | 预测的下一个未来时间点/坐标系X下的的Y值的函数                |
| 全局方法                                                     | extend                                                       | extend                                    | 正常                                                         | 复制源对象的所有属性到目标对象上，源对象上的没有定义的属性在目标对象上也不会被设置。 |
| 全局方法                                                     | appendUrl                                                    |                                           | 暂不支持                                                     | 给url追加参数                                                |
| 全局方法                                                     | mix                                                          |                                           | 暂不支持                                                     | 混合的对象                                                   |
